Bug 973601 - App with mongo database cannot be restarted
App with mongo database cannot be restarted
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 06:02 EDT by rodrigo
Modified: 2015-05-14 19:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 12:18:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The ppk file (1.43 KB, text/plain)
2013-06-12 06:02 EDT, rodrigo
no flags Details

  None (edit)
Description rodrigo 2013-06-12 06:02:41 EDT
Created attachment 760058 [details]
The ppk file

Description of problem:
When I was triying to access my app (www.buscopubli.es) I have got an out of memory exception in Mongo. Since then I cannot access remtely to the application in order to restart both mongo and application. Obviously I cannot access via rch client


Version-Release number of selected component (if applicable):


How reproducible:
Connect to 513871ebe0b8cd9d320002f5@mongo-mediainvestments.rhcloud.com

Steps to Reproduce:
1.
2.
3.

Actual results:
Network error

Expected results:
Connect to my remote machine

Additional info:
Comment 1 Clayton Coleman 2013-06-12 10:51:46 EDT
Restart can be done via rhc - what error do you see when you try to run 'rhc restart-app <name>'?  If that fails, run rhc force-stop-app <name>.  Please provide the output of both of those commands here.
Comment 2 rodrigo 2013-06-12 11:46:31 EDT
Thx Clayton, it seems to be OK now, have you done anything? Anycase,i´ll take note  about force-stop command.
Comment 3 Clayton Coleman 2013-06-12 11:51:13 EDT
It looks like the main process was wedged - we've continued to debug the issue and have restarted your app.  There appears to be a broken gear in your app, operations will be investigating.
Comment 4 Fotios Lindiakos 2013-06-18 14:12:26 EDT
Rodgrigo, I'm trying to figure out how your application got into this state. Did you try to import a large file into the database or restore a dump with a lot of information?

Also, I noticed that you uploaded your SSH key as an attachment. Since this is a public bug, it's safe to assume your key is compromised since anybody could have downloaded it. I highly recommend deleting this key and removing it from your OpenShift applications. If you used this key anywhere else (like home or work), you will also want to remove it from your authorized_keys and generated a new key.
Comment 5 rodrigo 2013-06-18 14:30:00 EDT
Thank you, I didn't realize about the secure problem. Any case,I only try to redeploy application in the cluster. It begun doing problems and I coudn't stop application. I don't remember to do any cpu or io intensive operation.
Just trying to execute rhc app stop and restart becouse it seem that the application wasn´t updating correctly.

Thx for the information....
Comment 6 Andy Goldstein 2013-06-19 16:57:44 EDT
Hi Rodrigo, do you have any more information you could share with us? Any more details about specific error messages you encountered? Were your issues with JBoss, or MongoDB, or both?

Thanks,
Andy

Note You need to log in before you can comment on or make changes to this bug.